# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libX11-devel pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%define fedora 18
Name:		ebview
Version:	0.3.6.2
Release:	alt1_9
Summary:	EPWING CD-ROM dictionary viewer

Group:		Text tools
License:	GPLv2+
%if 0
URL:		http://ebview.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
%else
URL:		http://packages.qa.debian.org/e/ebview.html
Source0:	http://ftp.de.debian.org/debian/pool/main/e/ebview/ebview_%{version}.orig.tar.gz
%endif
Source1:	%{name}.desktop

BuildRequires:	eb-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
%if 0%{?fedora} >= 18
BuildRequires:	libpangox-compat-devel
%endif
Source44: import.info

#Requires:	VLGothic-fonts

%description
EBView is a EPWING dictionary browser.

%prep
%setup -q

# Fix up permission
find . -type f -exec %{__chmod} 0644 {} ';'
%{__chmod} 0755 \
	configure \
	install-sh \
	mkinstalldirs

# Defaults
%{__sed} -i.defaults \
	-e 's|gnome-moz-remote|xdg-open|' \
	-e 's|Kochi |Sazanami |' \
	src/preference.c

# encodings
iconv -f EUCJP -t UTF-8 README > README.tmp && \
	( touch -r README README.tmp ; %{__mv} -f README.tmp README )

%{__sed} -i -e 's|\r||' \
	doc/ja/menu.html \
	doc/ja/body.html

for f in doc/ja/*.html ; do
	iconv -f EUC-JP -t UTF-8 $f | \
		%{__sed} -e 's|EUC-JP|UTF-8|' > $f.tmp && \
		%{__mv} -f $f.tmp $f || \
		%{__rm} -f $f.tmp
done
iconv -f ISO-8859-1 -t UTF-8 doc/en/index.html > doc/en/index.html.tmp && \
	%{__mv} -f doc/en/index.html.tmp doc/en/index.html || \
	%{__rm} -f doc/en/index.html.tmp

%build
%configure \
	--with-eb-conf=%{_libdir}/eb.conf
%{__make} %{?_smp_mflags}


%install

# Actually %%makeinstall...
%{__make} install \
	INSTALL="%{__install} -c -p" \
	bindir=$RPM_BUILD_ROOT%{_bindir}  \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
%if 0%{?fedora} < 19
	--vendor fedora \
%endif
	%{SOURCE1}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__install} -cpm 644 pixmaps/%{name}.xpm \
	$RPM_BUILD_ROOT%{_datadir}/pixmaps/

%{find_lang} %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README

%{_bindir}/%{name}
%{_datadir}/%{name}/

%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.6.2-alt1_9
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.6.2-alt1_8
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.6.2-alt1_7
- fc import

